{
  pkgs,
  myConfig,
  config,
  ...
}: {
  security.pam.services.greetd.enableGnomeKeyring = true;
  environment.systemPackages = with pkgs; [
    sops
    age
    ssh-to-age
  ];
  sops = {
    defaultSopsFile = ../../secrets/secrets.yaml;
    age.keyFile = "/home/${myConfig.nixos.username}/.config/sops/age/keys.txt";
    secrets = {
      default_password = {
        neededForUsers = true;
      };

      # AVANTE_GEMINI_API_KEY = {
      #   owner = "kenji";
      # };
    };
  };
  # programs.fish.interactiveShellInit = ''
  #   if test -f ${config.sops.secrets.AVANTE_GEMINI_API_KEY.path}
  #     set -gx AVANTE_GEMINI_API_KEY (cat ${config.sops.secrets.AVANTE_GEMINI_API_KEY.path})
  #   end
  # '';
}
